Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation.lazy.initializor
Class SortedMapCollectionInitializor

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor<T>
          org.hibernate.envers.entities.mapper.relation.lazy.initializor.MapCollectionInitializor<SortedMap>
              org.hibernate.envers.entities.mapper.relation.lazy.initializor.SortedMapCollectionInitializor

All Implemented Interfaces:
  Initializor<SortedMap>

    public class SortedMapCollectionInitializor

extends MapCollectionInitializor<SortedMap>

Initializes SortedMap collection with proper Comparator

Field Summary

Fields inherited from class org.hibernate.envers.entities.mapper.relation.lazy.initializor.MapCollectionInitializor
`collectionClass`

Fields inherited from class org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor
`entityInstantiator, revision`

Constructor Summary
`SortedMapCollectionInitializor(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, RelationQueryGenerator queryGenerator, Object primaryKey, Number revision, Class<? extends SortedMap> collectionClass, MiddleComponentData elementComponentData, MiddleComponentData indexComponentData, Comparator comparator)`

Method Summary
`protected SortedMap` | `initializeCollection(int size)`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.lazy.initializor.MapCollectionInitializor
`addToCollection`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor
`initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortedMapCollectionInitializor

    public SortedMapCollectionInitializor(AuditConfiguration verCfg,
                                          AuditReaderImplementor versionsReader,
                                          RelationQueryGenerator queryGenerator,
                                          Object primaryKey,
                                          Number revision,
                                          Class<? extends SortedMap> collectionClass,
                                          MiddleComponentData elementComponentData,
                                          MiddleComponentData indexComponentData,
                                          Comparator comparator)

Method Detail

### initializeCollection

    protected SortedMap initializeCollection(int size)

  Overrides:
    `initializeCollection` in class `MapCollectionInitializor<SortedMap>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.